NX Open C++ Reference Guide
|
Represents a Annotations::Dimension builder
To create a new instance of this class, use Annotations::DimensionCollection::CreatePmiRadialDimensionBuilder
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::Annotations::AssociatedObjectsBuilder * | AssociatedObjects () |
Returns the associated objects Created in NX9.0.0. | |
![]() | |
NXOpen::Annotations::AppendedTextBuilder * | AppendedText () |
Returns the appended text Created in NX9.0.0. | |
NXOpen::SelectNXObject * | FirstAssociativity () |
Returns the first associativity. | |
NXOpen::SelectDisplayableObject * | FoldLocation () |
Returns the fold location Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | Inherit () |
Returns the inherit Created in NX9.0.0. | |
bool | IsFoldedRadius () |
Returns the is folded radius Created in NX9.0.0. | |
bool | IsHoleStyle () |
Returns the is hole style dimension Created in NX9.0.0. | |
bool | IsRadiusToCenter () |
Returns the is radius to center Created in NX9.0.0. | |
NXOpen::Annotations::DimensionMeasurementBuilder * | Measurement () |
Returns the measurement Created in NX9.0.0. | |
NXOpen::SelectDisplayableObject * | OffsetCenterPoint () |
Returns the offset center point Created in NX9.0.0. | |
NXOpen::Annotations::OriginBuilder * | Origin () |
Returns the origin Created in NX9.0.0. | |
void | SetFoldedRadius (bool isFoldedRadius) |
Sets the is folded radius Created in NX9.0.0. | |
void | SetHoleStyle (bool isArrowsOutDia) |
Sets the is hole style dimension Created in NX9.0.0. | |
void | SetRadiusToCenter (bool isRadiusToCenter) |
Sets the is radius to center Created in NX9.0.0. | |
NXOpen::Annotations::StyleBuilder * | Style () |
Returns the style Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Annotations::Dimension builder
To create a new instance of this class, use Annotations::DimensionCollection::CreatePmiRadialDimensionBuilder
Created in NX9.0.0.
NXOpen::Annotations::AssociatedObjectsBuilder* NXOpen::Annotations::PmiRadialDimensionBuilder::AssociatedObjects | ( | ) |
Returns the associated objects
Created in NX9.0.0.
License requirements : None